LinuxQuestions.org
Latest LQ Deal: Latest LQ Deals
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Ubuntu
User Name
Password
Ubuntu This forum is for the discussion of Ubuntu Linux.

Notices


Reply
  Search this Thread
Old 06-18-2005, 11:11 AM   #1
patisawsome
Member
 
Registered: Oct 2004
Posts: 52

Rep: Reputation: 15
Error when using Apt-get


Hello. Today I tryed upgraading my apt-get repostitories using the ones on ubuntuguide.org. I added them to my resources.list fine and then ran apt-get update. But now when I try to install something I get and error message that says.
Code:
E: Invalid record in the preferences file, no Package header
I even got this message when changed my sources.list to the backup copy. How would I go about fixing this. Thank you in advance for any help you give me
 
Old 06-19-2005, 05:34 AM   #2
linux-rulz
Member
 
Registered: Dec 2004
Distribution: Windows XP Home, Ubuntu Hoary
Posts: 584

Rep: Reputation: 30
Try this

sudo apt-get clean

sudo apt-get check

sudo apt-get update

sudo apt-get upgrade

sudo apt-get install packagename

Let me know what happens.
 
Old 06-21-2005, 10:13 AM   #3
patisawsome
Member
 
Registered: Oct 2004
Posts: 52

Original Poster
Rep: Reputation: 15
Thanks for the reply linux-rulz. I tryed doing the things you told me but after I did "apt-get check" I got the same error message. After that I still tryed the others and got the same message again. Does any one else have any solutions for this problem.

Last edited by patisawsome; 06-22-2005 at 10:43 PM.
 
Old 08-07-2006, 07:33 PM   #4
adamf4i
Member
 
Registered: Jun 2006
Location: kansas city,mo
Distribution: kubuntu
Posts: 95

Rep: Reputation: 15
i tried the same stuff still cant fix mine on ubuntu
 
Old 08-08-2006, 05:36 AM   #5
binary_y2k2
Member
 
Registered: Jul 2005
Location: England, UK
Distribution: Ubuntu 8.04 Server, Kubuntu 12.04
Posts: 698
Blog Entries: 1

Rep: Reputation: 31
try doing
Code:
wget http://archive.ubuntu.com/ubuntu/pool/main/a/apt/apt_0.6.43.3ubuntu2_i386.deb
sudo dpkg -i apt_0.6.43.3ubuntu2_i386.deb
Then do the process suggested by linux-rulz again
 
Old 08-19-2006, 07:47 AM   #6
hlozo
LQ Newbie
 
Registered: Sep 2003
Location: Bratislava, Slovakia
Distribution: Debian unstable
Posts: 20

Rep: Reputation: 0
remove prefs

cp /etc/apt/preferences ~/preferences-backup && sudo rm -f /etc/apt/preferences
 
Old 08-19-2006, 11:34 PM   #7
binary_y2k2
Member
 
Registered: Jul 2005
Location: England, UK
Distribution: Ubuntu 8.04 Server, Kubuntu 12.04
Posts: 698
Blog Entries: 1

Rep: Reputation: 31
/etc/apt/preferences dose not exist in ubuntu (at least not in mine)
 
Old 08-22-2006, 05:34 PM   #8
randell6564
Member
 
Registered: Nov 2005
Location: California USA
Distribution: Ubuntu,(Feisty Fawn) Windows XP(Home Edition)
Posts: 634

Rep: Reputation: 31
How about you first post your new /etc/apt/sources.list and lets all make sure that you did it right!
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
apt-get error abattoir Debian 1 06-22-2005 06:27 AM
apt-get ERROR robramm Linux - General 2 05-21-2005 04:02 PM
apt-get error mrurmil Linux - Software 1 01-23-2005 07:32 PM
apt-get error PsychosisNode Debian 1 08-02-2004 02:02 PM
apt-get error installing xlibs 4.2.1-14, apt-get won't work at all now pib Debian 1 12-10-2003 11:39 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Ubuntu

All times are GMT -5. The time now is 02:26 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration